.sidebar-container {
  flex: 2;
  height: calc(100vh - 50px);
  position: sticky;
  top: 50px;
  overflow-y: scroll;

  &::-webkit-scrollbar {
    width: 2px;
  }

  &::-webkit-scrollbar-track {
    background-color: #F1F1F1;
  }

  &::-webkit-scrollbar-thumb {
    background-color: gray;
  }

  .sidebar-wrapper {
    padding: 20px;

    .sidebar-button {
      background-color: #011631;
      color: white;
      border-radius: 5px;
      font-weight: 500;
      padding: 10px;
      margin: 20px;
      width: 150px;
      border: none;
      cursor: pointer;
    }

    .sidebar-hr {
      margin: 10px 0;
    }

    .sidebar-friends {
      padding: 0;
      margin: 0;
      list-style: none;
    }
  }
}

@media only screen and (max-width: 992px) {
  .sidebar-container {
    flex: 1;

    &::-webkit-scrollbar {
      display: none;
    }
  
    &::-webkit-scrollbar-track {
      display: none;
    }
  
    &::-webkit-scrollbar-thumb {
      display: none;
    }

    .sidebar-wrapper {
      padding: 17px;

      .sidebar-button {
        display: none;
      }

      .sidebar-hr {
        display: none;
      }
    }
  }
}

@media only screen and (max-width: 768px) {
  .sidebar-container {
    display: block;
 
    .sidebar-wrapper {
      padding: 3px;
    }
  }
}

@media only screen and (max-width: 576px) {
  .sidebar-container {
    display: none;
  }
}
